## kjournald 0.1.0

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: Andreas Cord-Landwehr <cordlandwehr@kde.org>

project(kjournald LANGUAGES CXX)
set(KJOURNALD_VERSION 0.1.0)

cmake_minimum_required(VERSION 3.16)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
include(FeatureSummary)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)

add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=0x051500
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055600
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)

# KF5 minimal version is chosen to support Ubuntu 20.04 LTS
set(KF5_VERSION 5.68.0)
find_package(ECM ${KF5_VERSION} NO_MODULE)
set_package_properties(ECM PROPERTIES
    TYPE REQUIRED
    DESCRIPTION "Extra CMake Modules."
    URL "https://invent.kde.org/frameworks/extra-cmake-modules")
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMAddTests)
include(ECMEnableSanitizers)
include(ECMCoverageOption)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEClangFormat)

ecm_setup_version(${KJOURNALD_VERSION}
    VARIABLE_PREFIX KJOURNALD
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kjournald_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KJournaldConfigVersion.cmake"
    SOVERSION 0
)

find_package(KF5 ${KF5_VERSION} REQUIRED COMPONENTS
    CoreAddons
    I18n
)
add_definitions(-DTRANSLATION_DOMAIN=\"kjournald\")

find_package(PkgConfig REQUIRED)
pkg_check_modules(SYSTEMD REQUIRED IMPORTED_TARGET libsystemd)

set(REQUIRED_QT_VERSION 5.15.0)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS
    Core
    Quick
    QuickControls2
    Test
    Widgets
)

option(INSTALL_EXPERIMENTAL_HEADERS "Install headers for libkjournald (no stable API yet)" OFF)

enable_testing()

add_subdirectory(lib)
add_subdirectory(browser)
add_subdirectory(autotests)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KJournald")
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KJournaldConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KJournaldConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

if(INSTALL_EXPERIMENTAL_HEADERS)
    install(
        FILES
            "${CMAKE_CURRENT_BINARY_DIR}/KJournaldConfig.cmake"
            "${CMAKE_CURRENT_BINARY_DIR}/KJournaldConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )

    install(
        FILES
            ${CMAKE_CURRENT_BINARY_DIR}/kjournald_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR}
        COMPONENT Devel
    )

    install(EXPORT KJournaldTargets
            DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
            FILE KJournaldTargets.cmake)
endif()

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== lib/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: Andreas Cord-Landwehr <cordlandwehr@kde.org>

add_library(kjournald SHARED)

ecm_qt_declare_logging_category(
    KJOURNALDLIB_SRCS
    HEADER "loggingcategories.h"
    IDENTIFIER "KJOURNALD_DEBUG"
    CATEGORY_NAME "kjournald"
    OLD_CATEGORY_NAMES "journald"
    DESCRIPTION "KJournald"
    EXPORT kjournald
)
ecm_qt_install_logging_categories(
    EXPORT kjournald
    FILE kjournald.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

generate_export_header(kjournald BASE_NAME KJournald)
target_sources(kjournald PRIVATE
    ${KJOURNALDLIB_SRCS}
    bootmodel.cpp
    bootmodel.h
    bootmodel_p.h
    colorizer.cpp
    colorizer.h
    fieldfilterproxymodel.cpp
    fieldfilterproxymodel.h
    ijournal.h
    localjournal.cpp
    localjournal.h
    localjournal_p.h
    filtercriteriamodel.cpp
    filtercriteriamodel.h
    filtercriteriamodel_p.h
    journaldexportreader.cpp
    journaldexportreader.h
    journaldhelper.cpp
    journaldhelper.h
    journaldviewmodel.cpp
    journaldviewmodel.h
    journaldviewmodel_p.h
    journalduniquequerymodel.cpp
    journalduniquequerymodel.h
    journalduniquequerymodel_p.h
    memory.h
    systemdjournalremote.cpp
    systemdjournalremote.h
    systemdjournalremote_p.h
)
target_link_libraries(kjournald
PRIVATE
    KF5::I18n
    Qt${QT_MAJOR_VERSION}::Core
    Qt${QT_MAJOR_VERSION}::Quick
    PkgConfig::SYSTEMD
)
set_property(TARGET kjournald APPEND PROPERTY COMPILE_DEFINITIONS QT_NO_CAST_FROM_ASCII QT_NO_CAST_TO_ASCII)
target_include_directories(kjournald PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/>
    $<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}>
)
set_target_properties(kjournald PROPERTIES
    VERSION ${KJOURNALD_VERSION_STRING}
    SOVERSION ${KJOURNALD_SOVERSION}
    EXPORT_NAME KJournald
)
install(TARGETS kjournald
    EXPORT KJournaldTargets
    DESTINATION ${KDE_INSTALL_LIBDIR})

if(INSTALL_EXPERIMENTAL_HEADERS)
    install(FILES
        bootmodel.h
        ijournal.h
        localjournal.h
        journaldhelper.h
        journaldviewmodel.h
        journalduniquequerymodel.h
        systemdjournalremote.h
        ${CMAKE_CURRENT_BINARY_DIR}/kjournald_export.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR}
    )
endif()

=== autotests/filtercriteriamodel/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: Andreas Cord-Landwehr <cordlandwehr@kde.org>

ecm_add_test(
    test_filtercriteriamodel.cpp
    LINK_LIBRARIES Qt::Core Qt::Quick Qt::Test kjournald
    TEST_NAME test_filtercriteriamodel
)

=== debian/changelog ===
kjournald (0.1.0-0+siduction.1) unstable; urgency=medium

  * Non-maintainer upload
  * rebuild for siduction

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 17 Feb 2023 19:21:36 +0100

kjournald (0.1.0-0xneon+22.04+jammy+release+build11) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:35:47 +0000

kjournald (0.1.0-0neon) focal; urgency=medium

  * New app

 -- Neon CI <neon@kde.org>  Mon, 11 Jul 2022 09:30:02 +0000

=== debian/control ===
Source: kjournald
Section: kde
Priority: optional
Build-Depends: cmake (>= 3.1~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.77.0~),
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libsystemd-dev,
               pkgconf,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev,
               pkg-kde-tools,
               qtquickcontrols2-5-dev
Standards-Version: 4.1.4
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kjournald.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kjournald
Maintainer: Neon CI <neon@kde.org>

Package: kjournald
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-qt-labs-qmlmodels,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: flexible tool to browse in local, remote and offline journald databases
 Journald-browser is a reference implementation of the kjournald
 library and provides a flexible tool to browse in local, remote and
 offline journald databases.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_OPTIONS += noddebs
export DEB_BUILD_OPTIONS += nocheck

%:
	dh $@ --with kf5 --buildsystem kf5

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/kjournald/@PACKAGE@-([\d.]+).tar.xz

## kjournald 25.08.0

=== debian/changelog ===
kjournald (25.08.0-0zneon+24.04+noble+release+build17) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 15 Aug 2025 09:01:12 +0000

kjournald (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:12:50 +0000

kjournald (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 23:49:17 +0000

kjournald (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:38:50 +0000

kjournald (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:08:03 +0000

kjournald (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:31:54 +0000

kjournald (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 16:04:44 +0000

kjournald (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:22:57 +0000

kjournald (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:24:12 +0000

kjournald (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:09:34 +0000

kjournald (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:33:31 +0000

kjournald (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:58:53 +0000

kjournald (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:29:49 +0000

kjournald (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:22:16 +0000

kjournald (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 13:03:49 +0000

kjournald (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:18:32 +0000

kjournald (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 05:03:40 +0000

kjournald (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:51:57 +0000

kjournald (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:29:00 +0000

kjournald (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 09:11:38 +0000

kjournald (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 18:06:40 +0000

kjournald (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:54:47 +0000

kjournald (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:38:48 +0000

kjournald (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:15:41 +0000

kjournald (23.04.3-0neon) focal; urgency=medium

  * New app

 -- Neon CI <neon@kde.org>  Mon, 11 Jul 2022 09:30:02 +0000

## kjournald 25.08.1

=== debian/changelog ===
kjournald (25.08.1-0zneon+24.04+noble+release+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 22:58:31 +0000

kjournald (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:49:42 +0000

## kjournald 25.08.2

=== debian/changelog ===
kjournald (25.08.2-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 06:40:15 +0000

kjournald (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:19:00 +0000

## kjournald 25.08.2+p24.04+vstable+git20251011.0944

=== debian/changelog ===
kjournald (25.08.2+p24.04+vstable+git20251011.0944-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 09:44:55 +0000

## kjournald 25.08.2+p24.04+vstable+git20251015.1029

=== debian/changelog ===
kjournald (25.08.2+p24.04+vstable+git20251015.1029-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:29:07 +0000

## kjournald 25.08.2+p24.04+vstable+git20251021.0549

=== debian/changelog ===
kjournald (25.08.2+p24.04+vstable+git20251021.0549-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:49:37 +0000

## kjournald 25.08.2+p24.04+vstable+git20251031.0941

=== debian/changelog ===
kjournald (25.08.2+p24.04+vstable+git20251031.0941-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:41:43 +0000

=== debian/control ===
Source: kjournald
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami-dev,
               libsystemd-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kjournald.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kjournald
Maintainer: Neon CI <neon@kde.org>

Package: kjournald
Architecture: any
Depends: kf6-kirigami, qt6-declarative, ${misc:Depends}, ${shlibs:Depends}
Description: flexible tool to browse in local, remote and offline journald databases
 Journald-browser is a reference implementation of the kjournald
 library and provides a flexible tool to browse in local, remote and
 offline journald databases.

## kjournald 25.08.3

=== debian/changelog ===
kjournald (25.08.3-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 21:25:44 +0000

kjournald (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:48 +1000

## kjournald 25.08.3+p24.04+vunstable+git20251128.0739

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,20 @@
 # SPDX-License-Identifier: BSD-3-Clause
 # SPDX-FileCopyrightText: Andreas Cord-Landwehr <cordlandwehr@kde.org>
 
-project(kjournald LANGUAGES CXX)
-set(KJOURNALD_VERSION 0.1.0)
+cmake_minimum_required(VERSION 3.19)
 
-cmake_minimum_required(VERSION 3.16)
-set(CMAKE_INCLUDE_CURRENT_DIR ON)
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(KJOURNALD_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
+set(KJOURNALD_SOVERSION 0)
+
+project(kjournald VERSION ${KJOURNALD_VERSION})
+
+# generate QML LS integration
+set(QT_QML_GENERATE_QMLLS_INI ON)
+
 set(CMAKE_AUTOUIC ON)
-set(CMAKE_AUTOMOC ON)
-set(CMAKE_AUTORCC ON)
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 include(FeatureSummary)
@@ -16,15 +22,14 @@
 include(CMakePackageConfigHelpers)
 
 add_definitions(
-    -DQT_DISABLE_DEPRECATED_BEFORE=0x051500
-    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
-    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055600
-    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
+    -DQT_DISABLE_DEPRECATED_BEFORE=0x060800
+    -DQT_DEPRECATED_WARNINGS_SINCE=0x060800
+    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x0060800
+    -DKF_DEPRECATED_WARNINGS_SINCE=0x060800
 )
 
-# KF5 minimal version is chosen to support Ubuntu 20.04 LTS
-set(KF5_VERSION 5.68.0)
-find_package(ECM ${KF5_VERSION} NO_MODULE)
+set(KF_VERSION 6.8.0)
+find_package(ECM ${KF_VERSION} NO_MODULE)
 set_package_properties(ECM PROPERTIES
     TYPE REQUIRED
     DESCRIPTION "Extra CMake Modules."
@@ -35,28 +40,33 @@
 include(ECMCoverageOption)
 include(ECMSetupVersion)
 include(ECMQtDeclareLoggingCategory)
-include(KDEInstallDirs)
+include(KDEInstallDirs6)
 include(KDECMakeSettings)
 include(KDEClangFormat)
+include(ECMQmlModule)
 
 ecm_setup_version(${KJOURNALD_VERSION}
     VARIABLE_PREFIX KJOURNALD
     VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kjournald_version.h"
     PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KJournaldConfigVersion.cmake"
-    SOVERSION 0
+    SOVERSION ${KJOURNALD_SOVERSION}
 )
 
-find_package(KF5 ${KF5_VERSION} REQUIRED COMPONENTS
+find_package(KF6 ${KF_VERSION} REQUIRED COMPONENTS
     CoreAddons
+    Crash
+    Config
     I18n
+    Kirigami
 )
 add_definitions(-DTRANSLATION_DOMAIN=\"kjournald\")
+
+find_package(KF6KirigamiAddons 1.4.0 REQUIRED)
 
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(SYSTEMD REQUIRED IMPORTED_TARGET libsystemd)
 
-set(REQUIRED_QT_VERSION 5.15.0)
-find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS
+find_package(Qt6 6.5.0 REQUIRED COMPONENTS
     Core
     Quick
     QuickControls2
@@ -68,7 +78,8 @@
 
 enable_testing()
 
-add_subdirectory(lib)
+add_subdirectory(org/kde/kjournald/)
+add_subdirectory(org/kde/kjournaldbrowser/)
 add_subdirectory(browser)
 add_subdirectory(autotests)

=== debian/changelog ===
kjournald (25.08.3+p24.04+vunstable+git20251128.0739-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 28 Nov 2025 07:39:17 +0000

## kjournald 25.08.3+p24.04+vunstable+git20251204.0227

=== debian/changelog ===
kjournald (25.08.3+p24.04+vunstable+git20251204.0227-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 02:27:27 +0000

## kjournald 25.12.0

=== debian/changelog ===
kjournald (25.12.0-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 11:29:48 +0000

kjournald (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:29:35 +1000

## kjournald 25.12.0+p24.04+vstable+git20260101.0202

=== debian/changelog ===
kjournald (25.12.0+p24.04+vstable+git20260101.0202-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 02:02:52 +0000

## kjournald 25.12.0+p24.04+vstable+git20260102.1221

=== debian/changelog ===
kjournald (25.12.0+p24.04+vstable+git20260102.1221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:21:01 +0000

## kjournald 25.12.1

=== debian/changelog ===
kjournald (25.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Simplify debian/rules since we’re already using dh-sequence-kf6.
  * Switch to debian/watch format version 5.
  * Also package the qml6-module-org-kde-kjournald QML module.
  * Fix section for libkjournald-dev.
  * Fix multi-archness of libraries.
  * Rewrite copyright information.
  * Add/update Albert Astals Cid’s master key’s key in upstream keyring.
  * Release to unstable.
  * Switch to declarative dh-sequence-qmldeps for runtime QML
    dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Jan 2026 19:28:24 +0100

kjournald (24.08.2-1) experimental; urgency=medium

  * Initial release (Closes: #1086608).

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 01 Nov 2024 23:47:03 -0500

=== debian/control ===
Source: kjournald
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Simon Quigley <tsimonq2@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.19~),
               extra-cmake-modules (>= 6.8.0~),
               kirigami-addons-dev (>= 1.4.0~),
               libkf6config-dev (>= 6.8.0~),
               libkf6coreaddons-dev (>= 6.8.0~),
               libkf6crash-dev (>= 6.8.0~),
               libkf6i18n-dev (>= 6.8.0~),
               libkirigami-dev (>= 6.8.0~),
               libsystemd-dev,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               systemd-journal-remote <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://apps.kde.org/kjournaldbrowser/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kjournald
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kjournald.git

Package: kjournaldbrowser
Architecture: any
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: flexible tool to browse in local, remote and offline journald databases
 Journald-browser is a reference implementation of the kjournald
 library and provides a flexible tool to browse in local, remote and
 offline journald databases.
 .
 This package contains the kjournaldbrowser binary.

Package: libkjournald-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkjournald0 (= ${binary:Version}),
         qml6-module-org-kde-kjournald (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: development files for kjournald
 Journald-browser is a reference implementation of the kjournald
 library and provides a flexible tool to browse in local, remote and
 offline journald databases.
 .
 This package contains the development files for the kjournald library.

Package: libkjournald0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: kjournald library
 Journald-browser is a reference implementation of the kjournald
 library and provides a flexible tool to browse in local, remote and
 offline journald databases.
 .
 This package contains the kjournald library.

Package: qml6-module-org-kde-kjournald
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: QML module for kjournald library
 This package contains the QML module for using the kjournald library features
 from QML applications.

=== debian/watch ===
Version: 5

Source: https://download.kde.org/stable/release-service/@ANY_VERSION@/src/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgpsigurlmangle: s/$/.sig/

## kjournald 25.12.1+p24.04+vstable+git20260106.1418

=== debian/changelog ===
kjournald (25.12.1+p24.04+vstable+git20260106.1418-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:18:51 +0000

kjournald (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:18:00 +1000

## kjournald 25.12.1+p24.04+vstable+git20260203.0852

=== debian/changelog ===
kjournald (25.12.1+p24.04+vstable+git20260203.0852-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 08:52:13 +0000

## kjournald 25.12.1+p24.04+vstable+git20260205.0623

=== debian/changelog ===
kjournald (25.12.1+p24.04+vstable+git20260205.0623-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:23:22 +0000

## kjournald 25.12.1+p24.04+vunstable+git20260201.0651

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,24 +17,26 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 include(FeatureSummary)
 include(GenerateExportHeader)
 include(CMakePackageConfigHelpers)
 
-add_definitions(
-    -DQT_DISABLE_DEPRECATED_BEFORE=0x060800
-    -DQT_DEPRECATED_WARNINGS_SINCE=0x060800
-    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x0060800
-    -DKF_DEPRECATED_WARNINGS_SINCE=0x060800
-)
-
-set(KF_VERSION 6.8.0)
+set(KF_VERSION 6.21.0)
 find_package(ECM ${KF_VERSION} NO_MODULE)
 set_package_properties(ECM PROPERTIES
     TYPE REQUIRED
     DESCRIPTION "Extra CMake Modules."
     URL "https://invent.kde.org/frameworks/extra-cmake-modules")
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+
+include(ECMDeprecationSettings)
+
+ecm_set_disabled_deprecation_versions(
+    QT 6.8.0
+    KF 6.21.0
+)
+
 include(ECMAddTests)
 include(ECMEnableSanitizers)
 include(ECMCoverageOption)
@@ -73,6 +75,7 @@
     Test
     Widgets
 )
+qt_policy(SET QTP0005 NEW)
 
 option(INSTALL_EXPERIMENTAL_HEADERS "Install headers for libkjournald (no stable API yet)" OFF)

=== debian/changelog ===
kjournald (25.12.1+p24.04+vunstable+git20260201.0651-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:51:02 +0000

## kjournald 25.12.2

=== debian/changelog ===
kjournald (25.12.2-0ubuntu1) resolute; urgency=medium

  * Debian merge; no changes needed. 
  * New upstream release (25.12.2).

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 25 Feb 2026 07:07:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: kjournald
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@debian.org>,
+           scarlett Moore <sgmoore@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,

## kjournald 25.12.2+p24.04+vunstable+git20260207.0449

=== browser/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: Andreas Cord-Landwehr <cordlandwehr@kde.org>

include_directories(
    ${CMAKE_SOURCE_DIR}/lib
    ${CMAKE_BINARY_DIR}/lib
    ${CMAKE_BINARY_DIR}
)

add_executable(kjournaldbrowser
    main.cpp
)

target_compile_definitions(kjournaldbrowser
    PRIVATE $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:QT_QML_DEBUG>)

target_link_libraries(kjournaldbrowser
LINK_PUBLIC
    Qt::Core
    Qt::Quick
    Qt::QuickControls2
    Qt::Widgets # because of QApplication and QQC2 style integration
    KF6::I18n
    KF6::I18nQml
    KF6::CoreAddons
    KF6::Crash
    kjournald
LINK_PRIVATE
    kjournaldbrowser_backing
    kjournaldbrowser_backingplugin
)
install(TARGETS kjournaldbrowser DESTINATION ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.kjournaldbrowser.desktop  DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kjournaldbrowser.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== org/kde/kjournaldbrowser/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: Andreas Cord-Landwehr <cordlandwehr@kde.org>

add_library(kjournaldbrowser_backing STATIC)

qt6_add_qml_module(
    kjournaldbrowser_backing
    URI org.kde.kjournaldbrowser
    IMPORTS
        org.kde.kirigami
        org.kde.kjournald
    DEPENDENCIES
        QtQuick
        org.kde.ki18n
        org.kde.kirigamiaddons.
        org.kde.kirigamiaddons.statefulapp
        org.kde.kjournald
    SOURCES
        browserapplication.cpp
        browserapplication.h
        clipboardproxy.cpp
        clipboardproxy.h
        databaseprovider.cpp
        databaseprovider.h
        formatter.cpp
        formatter.h
        textsearch.cpp
        textsearch.h
    QML_FILES
        Main.qml
        LogLine.qml
        GlobalMenu.qml
        RemoteJournalConfigDialog.qml
        TopMenuBar.qml
        LogView.qml
        FilterCriteriaView.qml
        ColoredCheckbox.qml
)

target_link_libraries(kjournaldbrowser_backing
    PUBLIC kjournald Qt6::Core Qt6::Gui KF6::Kirigami KirigamiAddonsStatefulApp
)

=== debian/changelog ===
kjournald (25.12.2+p24.04+vunstable+git20260207.0449-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 04:49:19 +0000

kjournald (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 07:03:23 +0000
